diff --git a/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php b/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php
index f7ffb3ae..a2fe3883 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_test/LdapServerTest.class.php
@@ -2,12 +2,11 @@
 
 /**
  * @file
- * Simpletest ldapServer class for testing without an actual ldap server
- *
+ * Simpletest ldapServer class for testing without an actual ldap server.
  */
 
 /**
- * LDAP Server Class
+ * LDAP Server Class.
  *
  *  This class is used to create, work with, and eventually destroy ldap_server
  * objects.
@@ -16,28 +15,36 @@
  */
 
 ldap_servers_module_load_include('php', 'ldap_servers', 'LdapServer.class');
-
+/**
+ *
+ */
 class LdapServerTest extends LdapServer {
 
   public $entries;
   public $methodResponses;
   public $searchResults;
-  public $binddn = FALSE; // Default to an anonymous bind.
-  public $bindpw = FALSE; // Default to an anonymous bind.
+  /**
+   * Default to an anonymous bind.
+   */
+  public $binddn = FALSE;
+  /**
+   * Default to an anonymous bind.
+   */
+  public $bindpw = FALSE;
 
   /**
-   * Constructor Method
+   * Constructor Method.
    *
-   * can take array of form property_name => property_value
+   * Can take array of form property_name => property_value
    * or $sid, where sid is used to derive the include file.
    */
-  function __construct($sid) {
+  public function __construct($sid) {
     if (!is_scalar($sid)) {
       $test_data = $sid;
       $sid = $test_data['sid'];
     }
     else {
-      $test_data = variable_get('ldap_test_server__' . $sid, array());
+      $test_data = variable_get('ldap_test_server__' . $sid, []);
     }
 
     $bindpw = (isset($test_data['bindpw'])) ? $test_data['bindpw'] : 'goodpwd';
@@ -46,42 +53,49 @@ class LdapServerTest extends LdapServer {
     $this->initDerivedProperties($bindpw);
   }
 
+  /**
+   *
+   */
   public function refreshFakeData() {
-    $test_data = variable_get('ldap_test_server__' . $this->sid, array());
-    $this->methodResponses = (is_array($test_data) && isset($test_data['methodResponses'])) ? $test_data['methodResponses'] : array();
-    $this->entries = (is_array($test_data) && isset($test_data['ldap'])) ? $test_data['ldap'] : array();
-    $this->searchResults = (isset($test_data['search_results'])) ? $test_data['search_results'] : array();
+    $test_data = variable_get('ldap_test_server__' . $this->sid, []);
+    $this->methodResponses = (is_array($test_data) && isset($test_data['methodResponses'])) ? $test_data['methodResponses'] : [];
+    $this->entries = (is_array($test_data) && isset($test_data['ldap'])) ? $test_data['ldap'] : [];
+    $this->searchResults = (isset($test_data['search_results'])) ? $test_data['search_results'] : [];
     $this->detailedWatchdogLog = variable_get('ldap_help_watchdog_detail', 0);
-    foreach ($test_data['properties'] as $property_name => $property_value ) {
+    foreach ($test_data['properties'] as $property_name => $property_value) {
       $this->{$property_name} = $property_value;
     }
-  //  $this->basedn = unserialize($this->basedn);
     if (isset($test_data['bindpw']) && $test_data['bindpw'] != '') {
       $this->bindpw = ldap_servers_decrypt($this->bindpw);
     }
   }
 
   /**
-   * Destructor Method
+   * Destructor Method.
    */
-  function __destruct() {
-     // if alterations to server configuration must be maintained throughout simpletest, variable_set('ldap_authorization_test_server__'. $sid, array());
+  public function __destruct() {
+    // If alterations to server configuration must be maintained throughout
+    // simpletest, Call:
+    // variable_set('ldap_authorization_test_server__'. $sid, []);.
   }
 
   /**
-   * Connect Method
+   * Connect Method.
    */
-  function connect() {
+  public function connect() {
     return $this->methodResponses['connect'];
   }
 
-
-  function bind($userdn = NULL, $pass = NULL, $anon_bind = FALSE) {
+  /**
+   *
+   */
+  public function bind($userdn = NULL, $pass = NULL, $anon_bind = FALSE) {
     $userdn = ($userdn != NULL) ? $userdn : $this->binddn;
     $pass = ($pass != NULL) ? $pass : $this->bindpw;
 
-    if (! isset($this->entries[$userdn])) {
-      $ldap_errno = LDAP_NO_SUCH_OBJECT;  // 0x20 or 32
+    if (!isset($this->entries[$userdn])) {
+      // 0x20 or 32.
+      $ldap_errno = LDAP_NO_SUCH_OBJECT;
       if (function_exists('ldap_err2str')) {
         $ldap_error = ldap_err2str($ldap_errno);
       }
@@ -96,7 +110,7 @@ class LdapServerTest extends LdapServer {
       if (!$pass) {
         debug("Simpletest failure for $userdn.  No password submitted");
       }
-      if (! isset($this->entries[$userdn]['password'][0])) {
+      if (!isset($this->entries[$userdn]['password'][0])) {
         debug("Simpletest failure for $userdn.  No password in entry to test for bind"); debug($this->entries[$userdn]);
       }
       $ldap_errno = LDAP_INVALID_CREDENTIALS;
@@ -108,7 +122,7 @@ class LdapServerTest extends LdapServer {
       }
     }
 
-    $watchdog_tokens = array('%user' => $userdn, '%errno' => $ldap_errno, '%error' => $ldap_error);
+    $watchdog_tokens = ['%user' => $userdn, '%errno' => $ldap_errno, '%error' => $ldap_error];
     watchdog('ldap_servers', "LDAP bind failure for user %user. Error %errno: %error", $watchdog_tokens);
     return $ldap_errno;
 
@@ -117,7 +131,7 @@ class LdapServerTest extends LdapServer {
   /**
    * Disconnect (unbind) from an active LDAP server.
    */
-  function disconnect() {
+  public function disconnect() {
 
   }
 
@@ -125,9 +139,9 @@ class LdapServerTest extends LdapServer {
    * Perform an LDAP search.
    *
    * @param string $filter
-   *   The search filter. such as sAMAccountName=jbarclay
+   *   The search filter. such as sAMAccountName=jbarclay.
    * @param string $basedn
-   *   The search base. If NULL, we use $this->basedn
+   *   The search base. If NULL, we use $this->basedn.
    * @param array $attributes
    *   List of desired attributes. If omitted, we only return "dn".
    *
@@ -135,15 +149,16 @@ class LdapServerTest extends LdapServer {
    *   An array of matching entries->attributes, or FALSE if the search is
    *   empty.
    */
-  function search($base_dn = NULL, $filter, $attributes = array(), $attrsonly = 0, $sizelimit = 0, $timelimit = 0, $deref = LDAP_DEREF_NEVER, $scope = LDAP_SCOPE_SUBTREE) {
+  public function search($base_dn = NULL, $filter, $attributes = [], $attrsonly = 0, $sizelimit = 0, $timelimit = 0, $deref = LDAP_DEREF_NEVER, $scope = LDAP_SCOPE_SUBTREE) {
 
-    $lcase_attribute = array();
+    $lcase_attribute = [];
     foreach ($attributes as $i => $attribute_name) {
       $lcase_attribute[] = drupal_strtolower($attribute_name);
     }
     $attributes = $lcase_attribute;
 
-    $filter = trim(str_replace(array("\n", "  "), array('', ''), $filter)); // for test matching simplicity remove line breaks and tab spacing
+    // For test matching simplicity remove line breaks and tab spacing.
+    $filter = trim(str_replace(["\n", "  "], ['', ''], $filter));
 
     if ($base_dn == NULL) {
       if (count($this->basedn) == 1) {
@@ -177,11 +192,11 @@ class LdapServerTest extends LdapServer {
      */
     $base_dn = drupal_strtolower($base_dn);
     $filter = trim($filter, "()");
-    $subqueries = array();
+    $subqueries = [];
     $operand = FALSE;
 
     if (strpos($filter, '&') === 0) {
-     /**
+      /**
      * case 2.A.: filter of form (&(<attribute>=<value>)(<attribute>=<value>)(<attribute>=<value>))
      *  such as (&(samaccountname=hpotter)(samaccountname=hpotter)(samaccountname=hpotter))
      */
@@ -194,7 +209,7 @@ class LdapServerTest extends LdapServer {
       }
     }
     elseif (strpos($filter, '|') === 0) {
-     /**
+      /**
      * case 2.B: filter of form (|(<attribute>=<value>)(<attribute>=<value>)(<attribute>=<value>))
      *  such as (|(samaccountname=hpotter)(samaccountname=hpotter)(samaccountname=hpotter))
      */
@@ -208,7 +223,7 @@ class LdapServerTest extends LdapServer {
       }
     }
     elseif (count(explode('=', $filter)) == 2) {
-     /**
+      /**
      * case 2.C.: filter of form (<attribute>=<value>)
      *  such as (samaccountname=hpotter)
      */
@@ -219,11 +234,8 @@ class LdapServerTest extends LdapServer {
       return FALSE;
     }
 
-
-
-
-    // need to perform feaux ldap search here with data in
-    $results = array();
+    // Need to perform feaux ldap search here with data in.
+    $results = [];
 
     if ($operand == '|') {
       foreach ($subqueries as $i => $subquery) {
@@ -232,18 +244,18 @@ class LdapServerTest extends LdapServer {
         foreach ($this->entries as $dn => $entry) {
           $dn_lcase = drupal_strtolower($dn);
 
-          // if not in basedn, skip
+          // If not in basedn, skip
           // eg. basedn ou=campus accounts,dc=ad,dc=myuniversity,dc=edu
           // should be leftmost string in:
-          // cn=jdoe,ou=campus accounts,dc=ad,dc=myuniversity,dc=edu
-          //$pos = strpos($dn_lcase, $base_dn);
+          // cn=jdoe,ou=campus accounts,dc=ad,dc=myuniversity,dc=edu.
           $substring = strrev(substr(strrev($dn_lcase), 0, strlen($base_dn)));
           $cascmp = strcasecmp($base_dn, $substring);
           if ($cascmp !== 0) {
 
-            continue; // not in basedn
+            // Not in basedn.
+            continue;
           }
-          // if doesn't filter attribute has no data, continue
+          // If doesn't filter attribute has no data, continue.
           $attr_value_to_compare = FALSE;
           foreach ($entry as $attr_name => $attr_value) {
             if (drupal_strtolower($attr_name) == $filter_attribute) {
@@ -258,7 +270,7 @@ class LdapServerTest extends LdapServer {
           // match!
           $entry['dn'] = $dn;
           if ($attributes) {
-            $selected_data = array();
+            $selected_data = [];
             foreach ($attributes as $i => $attr_name) {
               $selected_data[$attr_name] = (isset($entry[$attr_name])) ? $entry[$attr_name] : NULL;
             }
@@ -270,10 +282,12 @@ class LdapServerTest extends LdapServer {
         }
       }
     }
-    elseif ($operand == '&') { // reverse the loops
+    // Reverse the loops.
+    elseif ($operand == '&') {
       foreach ($this->entries as $dn => $entry) {
         $dn_lcase = drupal_strtolower($dn);
-        $match = TRUE; // until 1 subquery fails
+        // Until 1 subquery fails.
+        $match = TRUE;
         foreach ($subqueries as $i => $subquery) {
           $filter_attribute = drupal_strtolower($subquery[0]);
           $filter_value = $subquery[1];
@@ -282,9 +296,10 @@ class LdapServerTest extends LdapServer {
           $cascmp = strcasecmp($base_dn, $substring);
           if ($cascmp !== 0) {
             $match = FALSE;
-            break; // not in basedn
+            // Not in basedn.
+            break;
           }
-          // if doesn't filter attribute has no data, continue
+          // If doesn't filter attribute has no data, continue.
           $attr_value_to_compare = FALSE;
           foreach ($entry as $attr_name => $attr_value) {
             if (drupal_strtolower($attr_name) == $filter_attribute) {
@@ -294,14 +309,15 @@ class LdapServerTest extends LdapServer {
           }
           if (!$attr_value_to_compare || drupal_strtolower($attr_value_to_compare[0]) != $filter_value) {
             $match = FALSE;
-            break; // not in basedn
+            // Not in basedn.
+            break;
           }
 
         }
         if ($match === TRUE) {
           $entry['dn'] = $dn;
           if ($attributes) {
-            $selected_data = array();
+            $selected_data = [];
             foreach ($attributes as $i => $attr_name) {
               $selected_data[$attr_name] = (isset($entry[$attr_name])) ? $entry[$attr_name] : NULL;
             }
@@ -318,17 +334,18 @@ class LdapServerTest extends LdapServer {
     return $results;
   }
 
-/**
- * does dn exist for this server?
- *
- * @param string $dn
- * @param enum $return = 'boolean' or 'ldap_entry'
- *
- * @param return FALSE or ldap entry array
- */
-  function dnExists($find_dn, $return = 'boolean', $attributes = array('objectclass')) {
+  /**
+   * Does dn exist for this server?
+   *
+   * @param string $dn
+   * @param enum $return
+   *   = 'boolean' or 'ldap_entry'.
+   *
+   * @param return FALSE or ldap entry array
+   */
+  public function dnExists($find_dn, $return = 'boolean', $attributes = ['objectclass']) {
     $this->refreshFakeData();
-    $test_data = variable_get('ldap_test_server__' . $this->sid, array());
+    $test_data = variable_get('ldap_test_server__' . $this->sid, []);
     foreach ($this->entries as $entry_dn => $entry) {
       $match = (strcasecmp($entry_dn, $find_dn) == 0);
 
@@ -336,22 +353,28 @@ class LdapServerTest extends LdapServer {
         return ($return == 'boolean') ? TRUE : $entry;
       }
     }
-    return FALSE; // not match found in loop
+    // Not match found in loop.
+    return FALSE;
 
   }
 
+  /**
+   *
+   */
   public function countEntries($ldap_result) {
     return ldap_count_entries($this->connection, $ldap_result);
   }
 
-
+  /**
+   *
+   */
   public static function getLdapServerObjects($sid = NULL, $type = NULL, $flatten = FALSE) {
-    $servers = array();
+    $servers = [];
     if ($sid) {
       $servers[$sid] = new LdapServerTest($sid);
     }
     else {
-      $server_ids = variable_get('ldap_test_servers', array());
+      $server_ids = variable_get('ldap_test_servers', []);
       foreach ($server_ids as $sid => $_sid) {
         $servers[$sid] = new LdapServerTest($sid);
       }
@@ -365,21 +388,21 @@ class LdapServerTest extends LdapServer {
     }
   }
 
-
   /**
-   * create ldap entry.
+   * Create ldap entry.
    *
-   * @param array $ldap_entry should follow the structure of ldap_add functions
+   * @param array $ldap_entry
+   *   should follow the structure of ldap_add functions
    *   entry array: http://us.php.net/manual/en/function.ldap-add.php
-        $attributes["attribute1"] = "value";
-        $attributes["attribute2"][0] = "value1";
-        $attributes["attribute2"][1] = "value2";
+   *   $attributes["attribute1"] = "value";
+   *   $attributes["attribute2"][0] = "value1";
+   *   $attributes["attribute2"][1] = "value2";.
+   *
    * @return boolean result
    */
-
   public function createLdapEntry($ldap_entry, $dn = NULL) {
     $result = FALSE;
-    $test_data = variable_get('ldap_test_server__' . $this->sid, array());
+    $test_data = variable_get('ldap_test_server__' . $this->sid, []);
 
     if (isset($ldap_entry['dn'])) {
       $dn = $ldap_entry['dn'];
@@ -396,11 +419,14 @@ class LdapServerTest extends LdapServer {
     return $result;
   }
 
-  function modifyLdapEntry($dn, $attributes = NULL, $old_attributes = FALSE) {
+  /**
+   *
+   */
+  public function modifyLdapEntry($dn, $attributes = NULL, $old_attributes = FALSE) {
     if (!$attributes) {
-      $attributes = array();
+      $attributes = [];
     }
-    $test_data = variable_get('ldap_test_server__' . $this->sid, array());
+    $test_data = variable_get('ldap_test_server__' . $this->sid, []);
     if (!isset($test_data['entries'][$dn])) {
       return FALSE;
     }
@@ -441,19 +467,18 @@ class LdapServerTest extends LdapServer {
 
   }
 
-    /**
+  /**
    * Perform an LDAP delete.
    *
    * @param string $dn
    *
    * @return boolean result per ldap_delete
    */
-
   public function delete($dn) {
 
-    $test_data = variable_get('ldap_test_server__' . $this->sid, array());
+    $test_data = variable_get('ldap_test_server__' . $this->sid, []);
     $deleted = FALSE;
-    foreach (array('entries', 'users', 'groups', 'ldap') as $test_data_sub_array) {
+    foreach (['entries', 'users', 'groups', 'ldap'] as $test_data_sub_array) {
       if (isset($test_data[$test_data_sub_array][$dn])) {
         unset($test_data[$test_data_sub_array][$dn]);
         $deleted = TRUE;
diff --git a/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php b/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php
index 430a3b48..c195ec1b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_test/LdapTestCase.class.php
@@ -1,21 +1,22 @@
 <?php
 
-
-
 /**
  * @file
- * simpletest class for LDAP simpletests
- *
+ * Simpletest class for LDAP simpletests.
  */
 
 module_load_include('php', 'ldap_test', 'LdapTestFunctions.class');
-
+/**
+ *
+ */
 class LdapTestCase extends DrupalWebTestCase {
 
   public $testFunctions;
   public $module_name;
 
-  // storage for test data
+  /**
+   * Storage for test data.
+   */
   public $useFeatureData;
   public $featurePath;
   public $featureName;
@@ -24,16 +25,25 @@ class LdapTestCase extends DrupalWebTestCase {
   public $ldapTestId;
   public $authorizationData;
   public $authenticationData;
-  public $testData = array();
+  public $testData = [];
 
-  public $sid; // current, or only, sid
+  /**
+   * Current, or only, sid.
+   */
+  public $sid;
 
-  function __construct($test_id = NULL) {
+  /**
+   *
+   */
+  public function __construct($test_id = NULL) {
     parent::__construct($test_id);
     $this->testFunctions = new LdapTestFunctions();
   }
 
-  function setUp() {
+  /**
+   *
+   */
+  public function setUp() {
     $modules = func_get_args();
     if (isset($modules[0]) && is_array($modules[0])) {
       $modules = $modules[0];
@@ -45,29 +55,38 @@ class LdapTestCase extends DrupalWebTestCase {
 
   }
 
-  function tearDown() {
+  /**
+   *
+   */
+  public function tearDown() {
     parent::tearDown();
     variable_del('ldap_help_watchdog_detail');
     variable_del('ldap_simpletest');
   }
 
   /**
-   * setup configuration and fake test data for all ldap modules
+   * Setup configuration and fake test data for all ldap modules.
    *
-   * @param  string $test_ldap_id name of directory in ldap_test where data is (e.g. hogwarts)
+   * @param string $test_ldap_id
+   *   name of directory in ldap_test where data is (e.g. hogwarts)
    *
-   * the following params are ids that indicate what config data in /ldap_test/<module_name>.conf.inc to use
-   * for example if $ldap_user_conf_id = 'ad_authentication', the array /ldap_test/ldap_user.conf.inc with the key
-   *  'ad_authentication' will be used for the user module cofiguration
+   *   the following params are ids that indicate what config data in /ldap_test/<module_name>.conf.inc to use
+   *   for example if $ldap_user_conf_id = 'ad_authentication', the array /ldap_test/ldap_user.conf.inc with the key
+   *   'ad_authentication' will be used for the user module cofiguration.
    *
-   * @param array $sids to setup
+   * @param array $sids
+   *   to setup.
    * @param string $ldap_user_conf_id
-   * @param string $ldap_authentication_conf_id = NULL,
-   * @param string $ldap_authorization_conf_id = NULL,
-   * @param string $ldap_feeds_conf_id = NULL,
-   * @param string $ldap_query_conf_id = NULL
+   * @param string $ldap_authentication_conf_id
+   *   = NULL,.
+   * @param string $ldap_authorization_conf_id
+   *   = NULL,.
+   * @param string $ldap_feeds_conf_id
+   *   = NULL,.
+   * @param string $ldap_query_conf_id
+   *   = NULL.
    */
-  function prepTestData(
+  public function prepTestData(
       $test_ldap_id,
       $sids,
       $ldap_user_conf_id = NULL,
@@ -102,7 +121,7 @@ class LdapTestCase extends DrupalWebTestCase {
   }
 
   /**
-   * attempt to derive a testid from backtrace
+   * Attempt to derive a testid from backtrace.
    */
   public function testId($description = NULL, $method = NULL) {
 
@@ -113,7 +132,8 @@ class LdapTestCase extends DrupalWebTestCase {
       $test_id = NULL;
       $i = 0;
     }
-    elseif ($test_id)  { // default test id
+    // Default test id.
+    elseif ($test_id) {
       $i++;
       return $test_id . '.' . $i;
     }
@@ -127,44 +147,51 @@ class LdapTestCase extends DrupalWebTestCase {
       $method = str_replace('test', '', $method, $count);
     }
 
-    $test_id = join(".", array($this->module_name, $method, $description));
+    $test_id = join(".", [$this->module_name, $method, $description]);
     return $test_id;
 
   }
+
+  /**
+   *
+   */
   public function removeUserFromGroup(&$test_data, $user_dn, $group_dn, $domain = "dc=hogwarts,dc=edu") {
 
-      $filter = "(&(objectClass=group)(member=$user_dn))";
-      if (!empty($test_data['search_results'][$filter][$domain]) &&
+    $filter = "(&(objectClass=group)(member=$user_dn))";
+    if (!empty($test_data['search_results'][$filter][$domain]) &&
             in_array($group_dn, $test_data['search_results'][$filter][$domain])) {
-        $test_data['search_results'][$filter][$domain] = array_diff($test_data['search_results'][$filter][$domain], array($group_dn));
-        $test_data['search_results'][$filter][$domain]['count'] = count($test_data['search_results'][$filter][$domain] - 1);
-      }
+      $test_data['search_results'][$filter][$domain] = array_diff($test_data['search_results'][$filter][$domain], [$group_dn]);
+      $test_data['search_results'][$filter][$domain]['count'] = count($test_data['search_results'][$filter][$domain] - 1);
+    }
 
-      if (!empty($test_data['users'][$user_dn]['attr']['memberof']) && in_array($group_dn, $test_data['users'][$user_dn]['attr']['memberof'])) {
-        $test_data['users'][$user_dn]['attr']['memberof'] = array_diff($test_data['users'][$user_dn]['attr']['memberof'], array($group_dn));
-        $test_data['users'][$user_dn]['attr']['memberof']['count'] = count($test_data['users'][$user_dn]['attr']['memberof'] - 1);
-      }
+    if (!empty($test_data['users'][$user_dn]['attr']['memberof']) && in_array($group_dn, $test_data['users'][$user_dn]['attr']['memberof'])) {
+      $test_data['users'][$user_dn]['attr']['memberof'] = array_diff($test_data['users'][$user_dn]['attr']['memberof'], [$group_dn]);
+      $test_data['users'][$user_dn]['attr']['memberof']['count'] = count($test_data['users'][$user_dn]['attr']['memberof'] - 1);
+    }
 
-      if (!empty($test_data['ldap'][$user_dn]['memberof']) && in_array($group_dn, $test_data['ldap'][$user_dn]['memberof'])) {
-        $test_data['ldap'][$user_dn]['memberof'] = array_diff($test_data['ldap'][$user_dn]['memberof'], array($group_dn));
-        $test_data['ldap'][$user_dn]['memberof']['count'] = count($test_data['ldap'][$user_dn]['memberof']) - 1;
-      }
+    if (!empty($test_data['ldap'][$user_dn]['memberof']) && in_array($group_dn, $test_data['ldap'][$user_dn]['memberof'])) {
+      $test_data['ldap'][$user_dn]['memberof'] = array_diff($test_data['ldap'][$user_dn]['memberof'], [$group_dn]);
+      $test_data['ldap'][$user_dn]['memberof']['count'] = count($test_data['ldap'][$user_dn]['memberof']) - 1;
+    }
 
-      if (!empty($test_data['groups'][$group_dn]['attr']['member']) && in_array($group_dn, $test_data['groups'][$group_dn]['attr']['member']) ) {
-        $members = array_diff($test_data['groups'][$group_dn]['attr']['member'], array($group_dn));
-        $test_data['groups'][$group_dn]['attr']['member'] = $members;
-        $test_data['groups'][$group_dn]['attr']['member'][$i]['count'] = count($members - 1);
-      }
+    if (!empty($test_data['groups'][$group_dn]['attr']['member']) && in_array($group_dn, $test_data['groups'][$group_dn]['attr']['member'])) {
+      $members = array_diff($test_data['groups'][$group_dn]['attr']['member'], [$group_dn]);
+      $test_data['groups'][$group_dn]['attr']['member'] = $members;
+      $test_data['groups'][$group_dn]['attr']['member'][$i]['count'] = count($members - 1);
     }
+  }
 
+  /**
+   *
+   */
   public function AttemptLogonNewUser($name, $goodpwd = TRUE) {
 
     $this->drupalLogout();
 
-    $edit = array(
+    $edit = [
       'name' => $name,
       'pass' => ($goodpwd) ? "goodpwd" : "badpwd",
-    );
+    ];
     $user = user_load_by_name($name);
     if ($user) {
       user_delete($user->uid);
@@ -173,12 +200,11 @@ class LdapTestCase extends DrupalWebTestCase {
   }
 
   /**
-   * keep user entity fields function for ldap_user
+   * Keep user entity fields function for ldap_user
    * in base class instead of user test class in case
-   * module integration testing is needed
+   * module integration testing is needed.
    */
-
-  function createTestUserFields() {
+  public function createTestUserFields() {
     foreach ($this->ldap_user_test_entity_fields() as $field_id => $field_conf) {
       $field_info = field_info_field($field_id);
       if (!$field_info) {
@@ -189,147 +215,152 @@ class LdapTestCase extends DrupalWebTestCase {
     }
   }
 
-  function ldap_user_test_entity_fields() {
+  /**
+   *
+   */
+  public function ldap_user_test_entity_fields() {
 
-    $fields = array();
+    $fields = [];
 
-    $fields['field_lname']['field'] = array(
+    $fields['field_lname']['field'] = [
       'field_name' => 'field_lname',
       'type' => 'text',
-      'settings' => array(
+      'settings' => [
         'max_length' => 64,
-      )
-    );
+      ],
+    ];
 
-    $fields['field_lname']['instance'] = array(
+    $fields['field_lname']['instance'] = [
       'field_name' => 'field_lname',
       'entity_type' => 'user',
       'label' => 'Last Name',
       'bundle' => 'user',
       'required' => FALSE,
-      'widget' => array(
+      'widget' => [
         'type' => 'text_textfield',
-      ),
-      'display' => array(
-        'default' => array(
+      ],
+      'display' => [
+        'default' => [
           'type' => 'text_default',
-        ),
-      ),
-      'settings' => array('user_register_form' => FALSE)
-    );
+        ],
+      ],
+      'settings' => ['user_register_form' => FALSE],
+    ];
 
-  $fields['field_department']['field'] = array(
+    $fields['field_department']['field'] = [
       'field_name' => 'field_department',
       'type' => 'text',
-      'settings' => array(
+      'settings' => [
         'max_length' => 64,
-      )
-    );
+      ],
+    ];
 
-    $fields['field_department']['instance'] = array(
+    $fields['field_department']['instance'] = [
       'field_name' => 'field_department',
       'entity_type' => 'user',
       'label' => 'Department',
       'bundle' => 'user',
       'required' => FALSE,
-      'widget' => array(
+      'widget' => [
         'type' => 'text_textfield',
-      ),
-      'display' => array(
-        'default' => array(
+      ],
+      'display' => [
+        'default' => [
           'type' => 'text_default',
-        ),
-      ),
-      'settings' => array('user_register_form' => FALSE)
-    );
+        ],
+      ],
+      'settings' => ['user_register_form' => FALSE],
+    ];
 
-
-    $fields['field_fname']['field'] = array(
+    $fields['field_fname']['field'] = [
       'field_name' => 'field_fname',
       'type' => 'text',
-      'settings' => array(
+      'settings' => [
         'max_length' => 64,
-      )
-    );
+      ],
+    ];
 
-    $fields['field_fname']['instance'] = array(
+    $fields['field_fname']['instance'] = [
       'field_name' => 'field_fname',
       'entity_type' => 'user',
       'label' => 'Last Name',
       'bundle' => 'user',
       'required' => FALSE,
-      'widget' => array(
+      'widget' => [
         'type' => 'text_textfield',
-      ),
-      'display' => array(
-        'default' => array(
+      ],
+      'display' => [
+        'default' => [
           'type' => 'text_default',
-        ),
-      ),
-      'settings' => array('user_register_form' => FALSE)
-    );
+        ],
+      ],
+      'settings' => ['user_register_form' => FALSE],
+    ];
 
-    // display name for testing compound tokens
-    $fields['field_display_name']['field'] = array(
+    // Display name for testing compound tokens.
+    $fields['field_display_name']['field'] = [
       'field_name' => 'field_display_name',
       'type' => 'text',
-      'settings' => array(
+      'settings' => [
         'max_length' => 64,
-      )
-    );
+      ],
+    ];
 
-    $fields['field_display_name']['instance'] = array(
+    $fields['field_display_name']['instance'] = [
       'field_name' => 'field_display_name',
       'entity_type' => 'user',
       'label' => 'Display Name',
       'bundle' => 'user',
       'required' => FALSE,
-      'widget' => array(
+      'widget' => [
         'type' => 'text_textfield',
-      ),
-      'display' => array(
-        'default' => array(
+      ],
+      'display' => [
+        'default' => [
           'type' => 'text_default',
-        ),
-      ),
-      'settings' => array('user_register_form' => FALSE)
-    );
+        ],
+      ],
+      'settings' => ['user_register_form' => FALSE],
+    ];
 
-    // display name for testing compound tokens
-    $fields['field_binary_test']['field'] = array(
+    // Display name for testing compound tokens.
+    $fields['field_binary_test']['field'] = [
       'field_name' => 'field_binary_test',
       'type' => 'text',
       'size' => 'big',
-    );
+    ];
 
-    $fields['field_binary_test']['instance'] = array(
+    $fields['field_binary_test']['instance'] = [
       'field_name' => 'field_binary_test',
       'entity_type' => 'user',
       'label' => 'Binary Field',
       'bundle' => 'user',
       'required' => FALSE,
-      'widget' => array(
+      'widget' => [
         'type' => 'text_textfield',
-      ),
-      'display' => array(
-        'default' => array(
+      ],
+      'display' => [
+        'default' => [
           'type' => 'text_default',
-        ),
-      ),
-      'settings' => array('user_register_form' => FALSE)
-    );
+        ],
+      ],
+      'settings' => ['user_register_form' => FALSE],
+    ];
 
     return $fields;
 
   }
 
+  /**
+   *
+   */
   public function checkConsumerConfSetup($conf_id) {
 
     $authorization_data = ldap_test_ldap_authorization_data();
     $props_set_correctly = TRUE;
 
     foreach ($authorization_data[$conf_id] as $consumer_type => $conf) {
-      $props_set_display = array();
+      $props_set_display = [];
       foreach ($conf as $prop => $values) {
         if (!property_exists($this->consumerAdminConf[$consumer_type], $prop)) {
           $props_set_correctly = FALSE;
@@ -347,13 +378,15 @@ class LdapTestCase extends DrupalWebTestCase {
       }
     }
 
-    return array($props_set_display, $props_set_correctly);
+    return [$props_set_display, $props_set_correctly];
   }
 
-
+  /**
+   *
+   */
   public function compareFormToProperties($object, $data, $item_id, $map, $lcase_transformed) {
 
-    $mismatches = array();
+    $mismatches = [];
     foreach ($data as $field_id => $values) {
       $field_id = drupal_strtolower($field_id);
       if (!isset($map[$field_id])) {
@@ -365,7 +398,8 @@ class LdapTestCase extends DrupalWebTestCase {
       }
       $property_value = $object->{$property};
 
-      $field_value = isset($values[$item_id + 2]) ? $values[$item_id + 2] : $values[$item_id]; // for cases where string input is not same as array.
+      // For cases where string input is not same as array.
+      $field_value = isset($values[$item_id + 2]) ? $values[$item_id + 2] : $values[$item_id];
 
       if (in_array($field_id, $lcase_transformed) && is_scalar($field_value)) {
         $field_value = drupal_strtolower($field_value);
